Package org.springframework.batch.core.configuration.xml

# Class JobParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
org.springframework.batch.core.configuration.xml.JobParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class JobParser extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
Parser for the <job/> element in the Batch namespace. Sets up and returns a bean definition for a `Job`.

Author:
  Dave Syer

- ## Field Summary

  ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  `ID_ATTRIBUTE, NAME_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
  Create a bean definition for a `FlowJob`.
  `protected Class<JobParserJobFactoryBean>`
  `getBeanClass(Element element)`
  `org.springframework.beans.BeanMetadataElement`
  `parseBeanElement(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

  ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

  `doParse, getBeanClassName, getParentName, parseInternal`

  ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JobParser

    public JobParser()

- ## Method Details

  - ### getBeanClass

    protected Class<JobParserJobFactoryBean> getBeanClass(Element element)
    Overrides:
      `getBeanClass` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

  - ### doParse

    protected void doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)
    Create a bean definition for a `FlowJob`. Nested step elements are delegated to an `InlineStepParser`.
    Overrides:
      `doParse` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`
    See Also:
      - `AbstractSingleBeanDefinitionParser.doParse(Element, ParserContext, BeanDefinitionBuilder)`

  - ### parseBeanElement

    public org.springframework.beans.BeanMetadataElement parseBeanElement(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)